aboutsummaryrefslogtreecommitdiffstats
path: root/test/ical-006.sh
diff options
context:
space:
mode:
Diffstat (limited to 'test/ical-006.sh')
-rwxr-xr-xtest/ical-006.sh43
1 files changed, 43 insertions, 0 deletions
diff --git a/test/ical-006.sh b/test/ical-006.sh
new file mode 100755
index 0000000..3a34c24
--- /dev/null
+++ b/test/ical-006.sh
@@ -0,0 +1,43 @@
+#!/bin/sh
+
+. "${TEST_INIT:-./test-init.sh}"
+
+if [ "$1" = 'actual' ]; then
+ mkdir .calcurse || exit 1
+ cp "$DATA_DIR/conf" .calcurse || exit 1
+ "$CALCURSE" -D "$PWD/.calcurse" -i "$DATA_DIR/ical-006.ical"
+ "$CALCURSE" -D "$PWD/.calcurse" -s06/01/2012 -r2
+ rm -rf .calcurse || exit 1
+elif [ "$1" = 'expected' ]; then
+ cat <<EOD
+Import process report: 0078 lines read
+12 apps / 0 events / 0 todos / 0 skipped
+06/01/12:
+ - 15:00 -> 20:00
+ 5 hours
+ - 15:00 -> 20:00
+ 5 hours
+ - 15:00 -> 20:00
+ 5 hours
+ - 15:00 -> 20:00
+ 5 hours
+ - 15:00 -> 15:30
+ 30 minutes
+ - 15:00 -> 15:30
+ 30 minutes
+ - 15:00 -> 15:30
+ 30 minutes
+ - 15:00 -> 15:30
+ 30 minutes
+ - 15:00 -> 20:30
+ 5 hours and 30 minutes
+ - 15:00 -> 20:30
+ 5 hours and 30 minutes
+ - 15:00 -> 20:00
+ 5 hours and 10 seconds
+ - 15:00 -> 20:30
+ 5 hours, 30 minutes and 10 seconds
+EOD
+else
+ ./run-test "$0"
+fi